uuid: dc56e67a-4372-412e-8bba-18c623f22119
langcode: en
status: true
dependencies: {  }
id: d7_allpublicfiles
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
  - Materio
  - Files
migration_group: d7_materio
label: 'Public files'
source:
  plugin: d7_pubic_file
  batch_size: 5000
  scheme: public
  constants:
    source_base_path: ../../../d7.materio.com/public_html
process:
  filename: filename
  source_full_path:
    -
      plugin: concat
      delimiter: /
      source:
        - constants/source_base_path
        - filepath
    -
      plugin: urlencode
  uri:
    plugin: file_copy
    source:
      - '@source_full_path'
      - uri
  filemime: filemime
  status: status
  created: timestamp
  changed: timestamp
  uid: uid
destination:
  plugin: 'entity:file'
migration_dependencies: null
